<?php
/**
 * Fired during plugin activation
 *
 * @package Linear
 */

/**
 * Defines all code necessary to run during the plugin's activation.
 */
class Linear_Activator {
	public static function activate() {
		$options = get_option( 'linear_settings' );
		if ( $options === false ) {
			$options = [];
		}

		$linear_page = isset( $options['listings_page'] ) ? $options['listings_page'] : -1;
		if ( is_null( get_post( $linear_page ) ) ) {
			$linear_page = array(
				'post_title'   	=> __( 'Apartments', 'linear' ),
				'post_content' 	=> '',
				'post_status'  	=> 'publish',
				'post_type'    	=> 'page',
				'post_author'  	=> get_current_user_id(),
				'post_date'    	=> date_i18n('Y-m-d H:i:s'),
				'page_template'	=> 'plain-listings.php',
			);
			$options['listings_page'] = wp_insert_post( $linear_page );
			update_option( 'linear_settings', $options );
		}

		// Handle rewrite rules
		require_once plugin_dir_path( __FILE__ ) . 'class-linear-listing.php';
		Linear::listings_page_rewrite_rules( true );
	}
}
