<?php
/**
 * Hooks for ease of use
 *
 * @package Linear
 */

/**
 * Defines all code necessary to run during the plugin's activation.
 */
class Linear_Hooks {

	protected static $linear;
	protected static $linear_middleware;

	public function __construct() {
		if ( is_null( self::$linear ) ) {
			self::$linear = Linear::get_instance();
		}

        self::$linear_middleware = self::$linear->get_middleware();
	}

	public static function get_all() {
		return self::$linear_middleware->get_all();
	}

	public static function get_all_by_type( $data_type ) {
		return self::$linear_middleware->get_all_by_type( $data_type );
	}

	public static function get_single( $id ) {
		return self::$linear_middleware->get_single( $id );
	}
}
