<?php

namespace Linear\Templates;

function actions( $listing ) {

    ob_start(); ?>

    <?php if(
        get_value( $listing, 'status') !== 'LIGHT_MIGRATED' &&
        !comparator_is_sub_value( $listing, ['rawDataForFiltering', 'productGroup'], 'RENT_APARTMENT') &&
        !comparator_is_sub_value( $listing, ['rawDataForFiltering', 'productGroup'], 'BUSINESS_PREMISES')
    ){ ?>

        <div class="linear-o-row linear-u-justify-center">

            <div class="<?php echo esc_attr( !get_linear_option_value('loan_request') ? 'linear-o-col-6@md linear-o-col-4@lg' : 'linear-o-col-12@sm linear-o-col-6@md'); ?> linear-u-mb-3">
                <a href="<?php echo get_listing_link( $listing, 'dixu_listing_url' ); ?>" class="linear-c-card linear-c-card--full-height" target="_blank" rel="noopener noreferrer">
                    <div class="linear-o-row linear-u-items-center">
                        <div class="linear-o-col-2 linear-o-col-3@md linear-u-text-center@sm linear-u-mb-1 linear-u-mb-0@sm linear-c-actions__icon">
                            <?php echo icon( 'calendar' ); ?>
                        </div>

                        <div class="linear-o-col-10 linear-o-col-9@md">
                            <p class="linear-c-card__heading linear-c-card__heading--xs"><?php esc_html_e( 'Book a private tour', 'linear' ); ?></p>
                            <p class="linear-u-text-sm">
                                <?php esc_html_e( 'Next public presentation', 'linear' ); ?>: <br>
                                <?php echo get_presentation( $listing, 'PUBLIC', '-' ); ?>
                            </p>
                        </div>
                    </div>
                </a>
            </div>

            <div class="<?php echo esc_attr( !get_linear_option_value('loan_request')  ? 'linear-o-col-6@md linear-o-col-4@lg' : 'linear-o-col-12@sm linear-o-col-6@md'); ?> linear-u-mb-3">
                <div class="linear-c-card linear-c-card--full-height" target="_blank" rel="noopener noreferrer">
                    <div class="linear-o-row linear-u-items-center">

                        <div class="linear-o-col-5 linear-o-col-4@md linear-u-text-center@sm linear-u-mb-0@sm">
                            <p class="linear-c-card__heading linear-c-card__heading--xs"><?php echo _x( 'Share to a friend', 'Share to a friend', 'linear' ); ?></p>
                        </div>

                        <div class="linear-o-col-7 linear-o-col-8@md">

                            <?php
                                $get_title_parts  = get_clean_array( $listing, [ 'address', 'gate' ] );
                                $title            = $get_title_parts ? esc_html( implode( ' ', $get_title_parts ) ) : '';
                            
                                echo share_links(
                                    $title, 
                                    ( has_value( $listing, 'permalink' ) ? get_value( $listing, 'permalink' ) : get_permalink() ), 
                                    get_home_url()
                                );
                            ?>

                        </div>

                    </div>
                </div>
            </div>

            <?php if ( !get_linear_option_value('loan_request') ) { ?>
                <div class="linear-o-col-12@sm linear-o-col-6@md linear-o-col-4@lg linear-u-mb-3">
                    <a href="<?php echo get_listing_link( $listing, 'dixu_listing_url' ); ?>" class="linear-c-card linear-c-card--full-height" target="_blank" rel="noopener noreferrer">
                        <div class="linear-o-row linear-u-items-center">
                            <div class="linear-o-col-2 linear-o-col-3@md linear-u-text-center@sm linear-u-mb-1 linear-u-mb-0@sm linear-c-actions__icon">
                                <?php echo icon( 'payment' ); ?>
                            </div>

                            <div class="linear-o-col-10 linear-o-col-9@md">
                                <p class="linear-c-card__heading linear-c-card__heading--xs">
                                    <?php esc_html_e( 'Apply for a loan', 'linear' ); ?>
                                </p>
                                <p class="linear-u-text-sm">
                                    <?php esc_html_e( 'In cooperation', 'linear' ); ?> <svg style="margin-left:10px;width:80px; height:auto;" class="linear-o-icon linear-u-align-bottom" viewBox="0 0 86 21"><path d="M78 5.5a7 7 0 00.5 14c1.5 0 3.4-.8 4.3-2.3v2h2.7v-6.6A6.8 6.8 0 0078 5.5zm4.6 7.1a4 4 0 01-4.5 3.8 4.1 4.1 0 01-3.5-3.5 4 4 0 014-4.5 4 4 0 014 3.8v.4zM63.2 5.5a6.9 6.9 0 00-6.8 7c0 3.8 3 7 7 7a7 7 0 006.5-4.3l-2.6-.8a4.3 4.3 0 01-3 2.3c-2 .4-3.7-.8-4.4-2l10.5-3a7 7 0 00-7.2-6.2zM59.4 12c0-1.4.8-3.1 2.7-3.8 2.1-.8 4 .3 4.8 1.8l-7.5 2zM40.3 8.3V5.4c-2.7 0-3.5 1.3-4 2V6h-3v13.3h3v-6.6c0-3 1.8-4.2 4-4.3zM12.6 14L3.5 3H.4v16.1h3.2V8.4L13 19.3h2.8V3h-3V14z"/><path d="M54.6 1.7h-2.9v5.2c-.7-.8-2.8-1.6-4.6-1.4a7 7 0 00.5 14c1.5 0 3.6-.7 4.2-2v1.7h2.7v-6.8h0l.1-10.7zm-3 11a4 4 0 01-4.5 3.7 4.1 4.1 0 01-3.5-3.5 4 4 0 014-4.5 4 4 0 014 3.8v.4zm-27-7.3a7 7 0 100 14 7 7 0 000-14zm0 11c-2.3 0-4-1.8-4-4s1.7-4 4-4 4 1.9 4 4a4 4 0 01-4 4z"/></svg>
                                </p>
                            </div>
                        </div>
                    </a>
                </div>
            <?php } ?>

        </div>

    <?php } ?>
        
    <?php return ob_get_clean();
}
